#
# Conditional build:
%bcond_without	privacy		# more privacy
#
Summary:	Tk Jabber client
Summary(pl.UTF-8):	Klient Jabbera oparty o Tk
Name:		tkabber
Version:	1.1
Release:	1
License:	GPL
Group:		Applications/Communications
Source0:	http://files.jabber.ru/tkabber/%{name}-%{version}.tar.xz
# Source0-md5:	f0bd52c46f538599f4ed96d013cfb2d8
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-privacy.patch
Patch1:		%{name}-chat-by-default.patch
URL:		http://tkabber.jabber.ru/
BuildRequires:	sed >= 4.0
Requires:	tcl >= 8.4.0
Requires:	tcl-tdom >= 0.8.2
Requires:	tcllib >= 1.2
Requires:	tclsasl
Requires:	tk >= 8.4.0
Requires:	tk-BWidget >= 1.3
Suggests:	tcl-tls >= 1.4.1
Suggests:	tcl-udp
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tkabber provides a Tcl/Tk interface to the Jabber instant messaging
and presence service.

Although relatively new software, Tkabber is fully-featured. Its
features include:
- emoticons
- file transfers
- avatars
- browsing

and many, many more.

You may need additional packages for full funcionality:
- tk-Img, for more image file formats support
- tclgpgme, for end-to-end message encryption and signing
- tkXwin, for auto-away

%description -l pl.UTF-8
Tkabber udostępnia interfejs Tcl/Tk dla komunikatora Jabber.

Mimo że jest to dosyć nowy program, Tkabber ma duże możliwości,
obejmujące:
- emotikony,
- przesyłanie plików,
- wcielenia,
- przeglądanie i wiele, wiele więcej.

Do pełnej funkcjonalności mogą być potrzebne dodatkowe pakiety:
- tk-Img do obsługi większej liczby formatów plików,
- tcl-tls do szyfrowanych połączeń z serwerem,
- tclgpgme do podpisywania i szyfrowania wiadomości,
- tkXwin do auto-away.

%prep
%setup -q
%{?with_privacy:%patch0 -p1}
%patch1 -p1

sed -i -e 's#ifaceck##g' Makefile

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	PREFIX="%{_prefix}" \
	DESTDIR="$RPM_BUILD_ROOT"

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS README examples
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/[^t]*
%attr(755,root,root) %{_datadir}/%{name}/tkabber.tcl
%{_datadir}/%{name}/tclxmpp
%{_datadir}/%{name}/tkabber-remote.tcl
%{_datadir}/%{name}/trans
%{_datadir}/%{name}/trans.tcl
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%changelog
* Sun Mar 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tkabber.git;a=log;h=master

* Sun Mar 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ba860f
- up to 1.1

* Sat Jan 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> de08a34
- up to final 1.0

* Sat Nov 23 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a9a947
- up to 20131123

* Sat Jun 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 497b1d4
- rel 3; treat regular messages as chats; less messy, less windows etc

* Sat Jun 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 6f52826
- rel .2; privacy on

* Fri Jun 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> d69f473
- put snap in release; drop privacy tag and make it default

* Fri Jun 14 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> dbc3f83
- up to snap 20130614 (using snaps now since official releases are lagging in years)

* Mon Oct 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1951d76
- up to 0.11.1

* Wed Jul 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 94f8719
- rel 2. privacy default on

* Wed Jul 16 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> e8d0ab2
- hide displayed status, too

* Thu Jun 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ff222ad
- privacy leaves a trail in release now

* Thu Jun 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> fed7e00
- up to 0.11.0

* Wed Jun 04 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> aa53ab9
- tcl-tls as suggests. New suggests tcl-udp.

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> b943605
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Oct 30 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a9de344
- beta2

* Thu Oct 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 4185066
- up to 0.10.1 beta

* Fri Apr 13 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 3c22918
- up to 0.10.0

* Mon Mar 12 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f6eeacc
- beta2

* Sun Feb 25 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ad903bd
- up to 0.10.0 beta

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2784df3
- tabs in preamble

